---
- name: Arch Setup
  hosts: localhost
  connection: local
  become: true

  tasks:
    - name: System update
      pacman:
        update_cache: yes
        upgrade: yes

    - name: install everything what you need 
      pacman:
        name:
          - git
          - ripgrep
          - neovim
          - zsh
          - fzf
          - bat
          - eza
          - code
          - btop
          - firefox
          - hyprland
          - hyprpaper
          - hyprlock
          - waybar
          - rofi-wayland
          - kitty
          - mako
          - grim
          - slurp
          - wl-clipboard
          - ttf-jetbrains-mono-nerd
          - noto-fonts
          - noto-fonts-emoji
          - papirus-icon-theme
          - pipewire
          - pipewire-pulse
          - pavucontrol
          - network-manager-applet
        state: present

    - name: check hyprland conf folder
      file:
        path: /home/denode/.config/hypr
        state: directory
        owner: denode
        group: denode
        mode: '0755'

    - name: Hyprland Config synchronisieren
      copy:
        src: files/
        dest: /home/denode/.config/hypr/
        owner: denode
        group: denode
        mode: preserve
        force: yes
